<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:variable name="imageNumber">
<xsl:value-of select="/jAlbum/albumFlow/imageNumber"/>
</xsl:variable>
<xsl:template name="root" match="/">
  <html>
    <head>
      <title>
        <xsl:text>Photo Album: </xsl:text>
        <xsl:value-of select="/jAlbum/albumName"/>
        <xsl:text> </xsl:text>
        <xsl:value-of select="/jAlbum/albumFlow/imageNumber"/>
      </title>
      <style type="text/css">
        body { background-color: #000000; }
        a { color: #03a0fc; }
        h1 { color: #ffffff; }
        h2 { color: #ffffff; }
        h3 { color: #ffffff; text-align: right; }
        p { color: #ffffff; }
      </style>
      
    </head>
    <body>
      <p style="text-align:right">
        <a>
          <xsl:attribute name="href">
            <xsl:value-of select="/jAlbum/albumFlow/prevImageNumber"/>
            <xsl:text>.html</xsl:text>
          </xsl:attribute>
          <xsl:text>&lt; prev</xsl:text>
        </a>
        <xsl:text> | </xsl:text>
        <a href="../thumbnails.html">
          <xsl:text>Thumbnails</xsl:text>
        </a>
        <xsl:text> | </xsl:text>
        <a>
          <xsl:attribute name="href">
            <xsl:value-of select="/jAlbum/albumFlow/nextImageNumber"/>
            <xsl:text>.html</xsl:text>
          </xsl:attribute>
          <xsl:text>next &gt;</xsl:text>
        </a>
      </p>
      <center>
        <p>
          <xsl:value-of select="/jAlbum/albumImages/albumImage[number($imageNumber)]/description"/>
        </p>
        <img>
          <xsl:attribute name="src">
            <xsl:text>../images/</xsl:text>
            <xsl:value-of select="/jAlbum/albumImages/albumImage[number($imageNumber)]/filename"/>
          </xsl:attribute>
        </img>
      </center>
    </body>
  </html>
</xsl:template>
</xsl:stylesheet>
